Subject: bug#29105: closed (Re: Close bugs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Aug 2020 16:37:01 +0000

Your bug report

#29105: 25.2; sqli postgres missing prompts with underscore

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29105: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29105
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Close bugs
From: Stefan Kangas <[email-masked]>
To: Michael Mauger <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Aug 2020 09:36:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The intention below seems to have been to close this bug, so I'm doing
that now.  If this conclusion is incorrect, please reply to this email
(use "Reply to all" in your email client) and we can reopen the bug
report.

Best regards,
Stefan Kangas

Michael Mauger <[email-masked]> writes:

> # placeholder
> close 11481 27.0.50
> # missing prompt-cont-regexp handling
> close 24483 27.0.50
> # postgres password prompt
> tag 18066 + unreproducible moreinfo
> tag 18240 + unreproducible moreinfo
> tag 20288 + unreproducible moreinfo
> tag 20289 + unreproducible moreinfo notabug
> tag 23063 + unreproducible moreinfo
> tag 29105 + unreproducible moreinfo
>
> tag 3569 + notabug
> close 3569
>
> close 14759 26.1
>
> tag 15202 + notabug
>
> tag 22016 + unreproducible moreinfo
> close 22106 26.1
>
> close 30247 27.0.50
>
> thank you
>
> --
> [email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer

Subject: 25.2; sqli postgres missing prompts with underscore
From: Felipe Ochoa <[email-masked]>
To: [email-masked]
Date: Wed, 01 Nov 2017 09:09:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Tables with underscores in their names (e.g., as generated by Django)
have their prompts removed from the buffer by the process filter,
resulting in something like the following

psql (9.6.5, server 9.5.5)
You are now connected to database "app_model" as user "user".
SELECT ...

I'm not sure how exactly it's happening, but I think it's in
`sql-interactive-remove-continuation-prompt'. At any rate, the problem
can be fixed by changing the postgres `:prompt-regexp' and
`:prompt-cont-regexp' to "^\\(?:[[:word:]]\\|\\s_\\)*=[#>] " and
"^\\(?:[[:word:]]\\|\\s_\\)*[-(][#>] " respectively to allow symbols in
table names. If that seems too lax, we could also special-case
underscore, since I think it's the most common symbol used in table
names.

-Felipe

In GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.18.9)
 of 2017-07-19 built on x1-ubuntu
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Ubuntu 16.04.3 LTS

Configured using:
 'configure --without-cairo --with-xwidgets --with-x-toolkit=gtk3
 --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES XWIDGETS

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix